ZipCentral ZIP File Handling Buffer Overflow

High Nessus Plugin ID 21620


The remote Windows host has an application that is suffers from a buffer overflow vulnerability.


According to its version, the ZipCentral program installed on the remote host is affected by a stack-based buffer overflow when handling a ZIP file with specially crafted filenames.


Unknown at this time.

See Also

Plugin Details

Severity: High

ID: 21620

File Name: zipcentral_overflow.nasl

Version: $Revision: 1.16 $

Type: local

Agent: windows

Family: Windows

Published: 2006/05/31

Modified: 2015/01/12

Dependencies: 13855

Risk Information

Risk Factor: High


Base Score: 7.6

Temporal Score: 7.2

Vector: CVSS2#AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

Vulnerability Information

Required KB Items: SMB/Registry/Enumerated

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 2006/05/30

Reference Information

CVE: CVE-2006-2439

BID: 18160

OSVDB: 25830

CWE: 119